[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# ColReadInteger

Read a 32-bit integer from a stream.

## Declaration

Source position: streamcoll.pp line 75

`function ColReadInteger(`
`S: TStream`
`):Integer;`

## Arguments

`S` |  | Stream to read integer value from

## Function result

Integer value read from stream S

## Description

ColReadInteger reads a 32-bit integer from the stream S as it was written by ColWriteInteger and returns the read value. The value cannot be read and written across systems that have different endian values.

## See also

ColReadDateTime |  | Read a TDateTime value from a stream
ColReadBoolean |  | Read a boolean value from a stream
ColReadString |  | Read a string from a stream
ColWriteInteger |  | Write a 32-bit integer to a stream
ColReadFloat |  | Read a floating point value from a stream
ColReadCurrency |  | Read a currency value from the stream

Documentation generated on: Feb 26 2014